HuffmanDecoder Class Reference

Huffman Decoder. More...

`#include <zinflate.h>`

## Classes

class | Err

## Public Types

enum | { MAX_CODE_BITS = sizeof(code_t)*8 }
typedef unsigned int | code_t
typedef unsigned int | value_t

## Public Member Functions

| HuffmanDecoder (const unsigned int *codeBitLengths, unsigned int nCodes)
void | Initialize (const unsigned int *codeBitLengths, unsigned int nCodes)
unsigned int | Decode (code_t code, value_t &value) const
bool | Decode (LowFirstBitReader &reader, value_t &value) const

## Friends

struct | CodeLessThan

## Detailed Description

Huffman Decoder.

Since
  Crypto++ 1.0

Definition at line 39 of file zinflate.h.

## Member Typedef Documentation

## code_t

typedef unsigned int HuffmanDecoder::code_t

Definition at line 42 of file zinflate.h.

## value_t

typedef unsigned int HuffmanDecoder::value_t

Definition at line 43 of file zinflate.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Definition at line 44 of file zinflate.h.

## Constructor & Destructor Documentation

## HuffmanDecoder() [1/2]

HuffmanDecoder::HuffmanDecoder | ( |  | ) |

inline

Definition at line 48 of file zinflate.h.

## HuffmanDecoder() [2/2]

HuffmanDecoder::HuffmanDecoder | ( | const unsigned int * | codeBitLengths,
|  | unsigned int | nCodes )

inline

Definition at line 49 of file zinflate.h.

## Member Function Documentation

## Initialize()

void HuffmanDecoder::Initialize | ( | const unsigned int * | codeBitLengths,
|  | unsigned int | nCodes )

Definition at line 65 of file zinflate.cpp.

## Decode() [1/2]

unsigned int HuffmanDecoder::Decode | ( | code_t | code,
|  | value_t & | value ) const

inline

Definition at line 183 of file zinflate.cpp.

## Decode() [2/2]

bool HuffmanDecoder::Decode | ( | LowFirstBitReader & | reader,
|  | value_t & | value ) const

Definition at line 210 of file zinflate.cpp.

## Friends And Related Symbol Documentation

## CodeLessThan

friend struct CodeLessThan

friend

Definition at line 58 of file zinflate.h.

The documentation for this class was generated from the following files:

- zinflate.h
- zinflate.cpp